use32

	org	0x0

	db	'MENUET00'	; 8 byte id
	dd	38		; required os
	dd	STARTAPP	; program start
	dd	I_END		; program image size
	dd	0x100000	; required amount of memory
	dd	0x00000000	; reserved=no extended header

include "aspAPI.inc"

STARTAPP:
	jmp	main

draw_window:	      ;******
  start_draw_window 100,200,300,250,0x04224466,labelt, 18
  draw_button 15,50,23,15,2,0x00677889,keyText,[keyLens],0x00FFFFFF		; Esc
  end_draw_window
ret


main:
	mov	eax, 11 	    ; Test if there is an event in the queue.
	int	0x40
	cmp	eax, 1
	jne	.ask_key_pressed

	call	draw_window

      .ask_key_pressed:
	cmp	eax, 2
	jne	.ask_button_pressed

	mov	eax, 2
	int	0x40
	cmp	ah, 27 ; Esc
	je	close_app

      .ask_button_pressed:
	cmp	eax, 3
	jne	.rep

	mov	eax, 17 	    ; Get pressed button code
	int	0x40
	cmp	ah, 1		    ; Test x button
	je	close_app

      .rep:
  jmp main

close_app:
    mov  eax,-1 		 ; close this program
    int  0x40

; DATA AREA

; Application Title
labelt		db	'Z example for ZKEY'
labellen:

;Keys names
keyText db 'Ex'
keyLens db 2


; End of application code and data marker

I_END:
