
use32
	org	0x0
		db 'MENUET00'
		dd 26h
		dd 1Ch
		dd 1CC9h
		dd 100000h
		dd 0


STARTAPP:
		mov	ecx, 1
		call	set_keyboard_mode
		call	reload_ascii_keymap
		call	draw_window
		jmp	get_zkey_window_slot_number

;  S U B	R O U T	I N E 


draw_window:		; CODE XREF: seg000:0000002Bp
					; seg000:redp ...
		mov	eax, 0Ch
		mov	ebx, 1
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 0
		mov	ebx, 640258h
		mov	ecx, 17200D2h
		mov	edx, 4224466h
		mov	esi, 334455h
		mov	edi, 0DDEEFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 4
		mov	ebx, 80008h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B07h
		mov	esi, 23h ; '#'
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F0017h
		mov	ecx, 320014h
		mov	edx, 2
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 140039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B36h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 460017h
		mov	ecx, 320014h
		mov	edx, 3
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 4B0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B39h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 5F0017h
		mov	ecx, 320014h
		mov	edx, 4
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 640039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B3Bh
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 780017h
		mov	ecx, 320014h
		mov	edx, 5
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 7D0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B3Dh
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 910017h
		mov	ecx, 320014h
		mov	edx, 6
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 960039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B3Fh
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0B70017h
		mov	ecx, 320014h
		mov	edx, 7
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0BC0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B41h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0D00017h
		mov	ecx, 320014h
		mov	edx, 8
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0D50039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B43h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0E90017h
		mov	ecx, 320014h
		mov	edx, 9
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0EE0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B45h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1020017h
		mov	ecx, 320014h
		mov	edx, 0Ah
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1070039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B47h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1280017h
		mov	ecx, 320014h
		mov	edx, 0Bh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 12D0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B49h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1410017h
		mov	ecx, 320014h
		mov	edx, 0Ch
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1460039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B4Bh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 15A0017h
		mov	ecx, 320014h
		mov	edx, 0Dh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 15F0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B4Eh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1730017h
		mov	ecx, 320014h
		mov	edx, 0Eh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1780039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B51h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F0017h
		mov	ecx, 500014h
		mov	edx, 0Fh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 140057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF2h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 280017h
		mov	ecx, 500014h
		mov	edx, 10h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2D0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CCBh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 410017h
		mov	ecx, 500014h
		mov	edx, 11h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 460057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CCCh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 5A0017h
		mov	ecx, 500014h
		mov	edx, 12h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 5F0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CCDh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 730017h
		mov	ecx, 500014h
		mov	edx, 13h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 780057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CCEh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 8C0017h
		mov	ecx, 500014h
		mov	edx, 14h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 910057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CCFh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0A50017h
		mov	ecx, 500014h
		mov	edx, 15h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0AA0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD0h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0BE0017h
		mov	ecx, 500014h
		mov	edx, 16h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0C30057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD1h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0D70017h
		mov	ecx, 500014h
		mov	edx, 17h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0DC0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD2h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F00017h
		mov	ecx, 500014h
		mov	edx, 18h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0F50057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD3h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1090017h
		mov	ecx, 500014h
		mov	edx, 19h
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 10E0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD4h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1220017h
		mov	ecx, 500014h
		mov	edx, 1Ah
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1270057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD5h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 13B0017h
		mov	ecx, 500014h
		mov	edx, 1Bh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1400057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD6h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1540017h
		mov	ecx, 500014h
		mov	edx, 1Ch
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1590057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF4h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 16D001Eh
		mov	ecx, 500014h
		mov	edx, 1Dh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1720057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B70h
		xor	eax, eax
		mov	al, 4
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F0021h
		mov	ecx, 670014h
		mov	edx, 1Eh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 14006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1B74h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 320017h
		mov	ecx, 670014h
		mov	edx, 1Fh
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 37006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CD9h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 4B0017h
		mov	ecx, 670014h
		mov	edx, 20h ; ' '
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 50006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDAh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 640017h
		mov	ecx, 670014h
		mov	edx, 21h ; '!'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 69006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDBh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 7D0017h
		mov	ecx, 670014h
		mov	edx, 22h ; '"'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 82006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDCh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 960017h
		mov	ecx, 670014h
		mov	edx, 23h ; '#'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 9B006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDDh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0AF0017h
		mov	ecx, 670014h
		mov	edx, 24h ; '$'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0B4006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDEh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0C80017h
		mov	ecx, 670014h
		mov	edx, 25h ; '%'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0CD006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CDFh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0E10017h
		mov	ecx, 670014h
		mov	edx, 26h ; '&'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0E6006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE0h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0FA0017h
		mov	ecx, 670014h
		mov	edx, 27h ; '''
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0FF006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE1h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1130017h
		mov	ecx, 670014h
		mov	edx, 28h ; '('
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 118006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE2h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 12C0017h
		mov	ecx, 670014h
		mov	edx, 29h ; ')'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 131006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE3h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1450017h
		mov	ecx, 670014h
		mov	edx, 2Ah ; '*'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 14A006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE4h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 15E002Dh
		mov	ecx, 67002Bh
		mov	edx, 2Bh ; '+'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 163007Ah
		mov	ecx, 0FFFFFFh
		mov	edx, 1B91h
		xor	eax, eax
		mov	al, 5
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F002Bh
		mov	ecx, 7E0014h
		mov	edx, 2Ch ; ','
		mov	esi, 258778h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 140085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B96h
		xor	eax, eax
		mov	al, 4
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 3C0017h
		mov	ecx, 7E0014h
		mov	edx, 2Dh ; '-'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 410085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE7h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 550017h
		mov	ecx, 7E0014h
		mov	edx, 2Eh ; '.'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 5A0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE8h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 6E0017h
		mov	ecx, 7E0014h
		mov	edx, 2Fh ; '/'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 730085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CE9h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 870017h
		mov	ecx, 7E0014h
		mov	edx, 30h ; '0'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 8C0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CEAh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0A00017h
		mov	ecx, 7E0014h
		mov	edx, 31h ; '1'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0A50085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CEBh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0B90017h
		mov	ecx, 7E0014h
		mov	edx, 32h ; '2'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0BE0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CECh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0D20017h
		mov	ecx, 7E0014h
		mov	edx, 33h ; '3'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0D70085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CEDh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0EB0017h
		mov	ecx, 7E0014h
		mov	edx, 34h ; '4'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0F00085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CEEh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1040017h
		mov	ecx, 7E0014h
		mov	edx, 35h ; '5'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1090085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CEFh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 11D0017h
		mov	ecx, 7E0014h
		mov	edx, 36h ; '6'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1220085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF0h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1360017h
		mov	ecx, 7E0014h
		mov	edx, 37h ; '7'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 13B0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF1h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F0035h
		mov	ecx, 950014h
		mov	edx, 38h ; '8'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 14009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1BB2h
		xor	eax, eax
		mov	al, 5
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 460017h
		mov	ecx, 950014h
		mov	edx, 39h ; '9'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 4B009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF5h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 5F0017h
		mov	ecx, 950014h
		mov	edx, 3Ah ; ':'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 64009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF6h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 780017h
		mov	ecx, 950014h
		mov	edx, 3Bh ; ';'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 7D009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF7h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 910017h
		mov	ecx, 950014h
		mov	edx, 3Ch ; '<'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 96009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF8h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0AA0017h
		mov	ecx, 950014h
		mov	edx, 3Dh ; '='
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0AF009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CF9h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0C30017h
		mov	ecx, 950014h
		mov	edx, 3Eh ; '>'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0C8009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CFAh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0DC0017h
		mov	ecx, 950014h
		mov	edx, 3Fh ; '?'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0E1009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CFBh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F50017h
		mov	ecx, 950014h
		mov	edx, 40h ; '@'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 0FA009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CFCh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 10E0017h
		mov	ecx, 950014h
		mov	edx, 41h ; 'A'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 113009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CFDh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1270017h
		mov	ecx, 950014h
		mov	edx, 42h ; 'B'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 12C009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1CFEh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 140004Bh
		mov	ecx, 950014h
		mov	edx, 43h ; 'C'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 145009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1BCDh
		xor	eax, eax
		mov	al, 5
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 0F001Eh
		mov	ecx, 0AC0014h
		mov	edx, 44h ; 'D'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1400B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BD2h
		xor	eax, eax
		mov	al, 4
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2F001Eh
		mov	ecx, 0AC0014h
		mov	edx, 45h ; 'E'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 3400B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BD6h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 4F001Eh
		mov	ecx, 0AC0014h
		mov	edx, 46h ; 'F'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 5400B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BD9h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 6F009Ch
		mov	ecx, 0AC0014h
		mov	edx, 47h ; 'G'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 7400B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BDCh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 10D001Eh
		mov	ecx, 0AC0014h
		mov	edx, 48h ; 'H'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 11200B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BDDh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 12D001Eh
		mov	ecx, 0AC0014h
		mov	edx, 49h ; 'I'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 13200B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BE0h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 14D001Eh
		mov	ecx, 0AC0014h
		mov	edx, 4Ah ; 'J'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 15200B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BE3h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 16D001Eh
		mov	ecx, 0AC0014h
		mov	edx, 4Bh ; 'K'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 17200B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BE6h
		xor	eax, eax
		mov	al, 4
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1950017h
		mov	ecx, 320014h
		mov	edx, 4Ch ; 'L'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 19A0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BEAh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1AE0017h
		mov	ecx, 320014h
		mov	edx, 4Dh ; 'M'
		mov	esi, 258778h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1B30039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BEDh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1C70017h
		mov	ecx, 320014h
		mov	edx, 4Eh ; 'N'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1CC0039h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BF0h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1950017h
		mov	ecx, 500014h
		mov	edx, 4Fh ; 'O'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 19A0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BF3h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1AE0017h
		mov	ecx, 500014h
		mov	edx, 50h ; 'P'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1B30057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BF6h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1C70017h
		mov	ecx, 500014h
		mov	edx, 51h ; 'Q'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1CC0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1BF8h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1950017h
		mov	ecx, 670014h
		mov	edx, 52h ; 'R'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 19A006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1BFBh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1AE0017h
		mov	ecx, 670014h
		mov	edx, 53h ; 'S'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1B3006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1BFEh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1C70017h
		mov	ecx, 670014h
		mov	edx, 54h ; 'T'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1CC006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1C01h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1AE0017h
		mov	ecx, 950014h
		mov	edx, 55h ; 'U'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1B3009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1C04h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1950017h
		mov	ecx, 0AC0014h
		mov	edx, 56h ; 'V'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 19A00B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C05h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1AE0017h
		mov	ecx, 0AC0014h
		mov	edx, 57h ; 'W'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1B300B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C06h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1C70017h
		mov	ecx, 0AC0014h
		mov	edx, 58h ; 'X'
		mov	esi, 344556h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1CC00B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C07h
		xor	eax, eax
		mov	al, 2
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1E80017h
		mov	ecx, 500014h
		mov	edx, 59h ; 'Y'
		mov	esi, 258778h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1ED0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C09h
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2010017h
		mov	ecx, 500014h
		mov	edx, 5Ah ; 'Z'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2060057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C0Ch
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 21A0017h
		mov	ecx, 500014h
		mov	edx, 5Bh ; '['
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 21F0057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C0Dh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2330017h
		mov	ecx, 500014h
		mov	edx, 5Ch ; '\'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2380057h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C0Eh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1E80017h
		mov	ecx, 670014h
		mov	edx, 5Dh ; ']'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1ED006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1C0Fh
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2010017h
		mov	ecx, 670014h
		mov	edx, 5Eh ; '^'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 206006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1C10h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 21A0017h
		mov	ecx, 670014h
		mov	edx, 5Fh ; '_'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 21F006Eh
		mov	ecx, 0FFFFFFh
		mov	edx, 1C11h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1E80017h
		mov	ecx, 7E0014h
		mov	edx, 60h ; '`'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1ED0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C12h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2010017h
		mov	ecx, 7E0014h
		mov	edx, 61h ; 'a'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2060085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C13h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 21A0017h
		mov	ecx, 7E0014h
		mov	edx, 62h ; 'b'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 21F0085h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C14h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1E80017h
		mov	ecx, 950014h
		mov	edx, 63h ; 'c'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1ED009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1C15h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2010017h
		mov	ecx, 950014h
		mov	edx, 64h ; 'd'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 206009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1C16h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 21A0017h
		mov	ecx, 950014h
		mov	edx, 65h ; 'e'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 21F009Ch
		mov	ecx, 0FFFFFFh
		mov	edx, 1C17h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 1E80030h
		mov	ecx, 0AC0014h
		mov	edx, 66h ; 'f'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 1ED00B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C18h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 21A0017h
		mov	ecx, 0AC0014h
		mov	edx, 67h ; 'g'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 21F00B3h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C19h
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2330017h
		mov	ecx, 67002Bh
		mov	edx, 68h ; 'h'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 238007Ah
		mov	ecx, 0FFFFFFh
		mov	edx, 1C1Ah
		xor	eax, eax
		mov	al, 1
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 8
		mov	ebx, 2330017h
		mov	ecx, 95002Bh
		mov	edx, 69h ; 'i'
		mov	esi, 677889h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 23800A8h
		mov	ecx, 0FFFFFFh
		mov	edx, 1C1Bh
		xor	eax, eax
		mov	al, 3
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		cmp	[keyboard_mode], 0
		jnz	 ASCII_mode
		mov	eax, 8
		mov	ebx, 201002Eh
		mov	ecx, 1C0014h
		mov	edx, 6Ah ; 'j'
		mov	esi, 700000h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2060023h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B2Ah
		xor	eax, eax
		mov	al, 6
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		jmp	 _draw_indicators_area
; 

ASCII_mode:				; CODE XREF: draw_window+16A6j
		mov	eax, 8
		mov	ebx, 201002Eh
		mov	ecx, 1C0014h
		mov	edx, 6Ah ; 'j'
		mov	esi, 700000h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, 2060023h
		mov	ecx, 0FFFFFFh
		mov	edx, 1B30h
		xor	eax, eax
		mov	al, 5
		mov	esi, eax
		mov	eax, 4
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)

_draw_indicators_area:			; CODE XREF: draw_window+16DFj
		mov	eax, 0Dh
		mov	ebx, 1EB005Fh
		mov	ecx, 33000Fh
		mov	edx, 0
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA024Ah
		mov	ecx, 320032h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA01EAh
		mov	ecx, 320042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA024Ah
		mov	ecx, 420042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 24A024Ah
		mov	ecx, 320042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ax, [locks]
		test	ax, 40h
		jz	 loc_17E1
		push	ax
		mov	eax, 0Dh
		mov	ebx, 214000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		pop	ax

loc_17E1:				; CODE XREF: draw_window+1790j
		test	ax, 80h
		jz	 loc_1801
		push	ax
		mov	eax, 0Dh
		mov	ebx, 1F4000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		pop	ax

loc_1801:				; CODE XREF: draw_window+17B0j
		test	ax, 100h
		jz	 loc_181D
		mov	eax, 0Dh
		mov	ebx, 235000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)

loc_181D:				; CODE XREF: draw_window+17D0j
		mov	eax, 0Ch
		mov	ebx, 2
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		ret
	

; 

get_zkey_window_slot_number:		; CODE XREF: seg000:00000030j
		mov	eax, 12h
		mov	ebx, 7
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	[zkey_window],	eax

still:					; CODE XREF: seg000:0000185Aj
					; seg000:00001861j ...
		call	get_receiver_window_slot_number
		mov	eax, 0Bh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		cmp	eax, 1
		jz	 red
		cmp	eax, 2
		jz	 key
		cmp	eax, 3
		jz	button
		jmp	 still
; 

red:					; CODE XREF: seg000:0000184Aj
					; seg000:00001998j
		call	draw_window
		jmp	 still
; 

key:					; CODE XREF: seg000:0000184Fj
		mov	eax, 2
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		push	ax
		call	get_control_keys_state
		cmp	[locks], ax
		jz	 _lights
		call	reload_ascii_keymap
		call	draw_window

_lights:				; CODE XREF: seg000:00001878j
		call	get_control_keys_state
		cmp	[locks], ax
		jz	unamed1
		mov	[locks], ax
		mov	eax, 0Dh
		mov	ebx, 1EB005Fh
		mov	ecx, 33000Fh
		mov	edx, 0
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA024Ah
		mov	ecx, 320032h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA01EAh
		mov	ecx, 320042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 1EA024Ah
		mov	ecx, 420042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 26h ; '&'
		mov	ebx, 24A024Ah
		mov	ecx, 320042h
		mov	edx, 0FFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ax, [locks]
		test	ax, 40h
		jz	 unamed1
		push	ax
		mov	eax, 0Dh
		mov	ebx, 214000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		pop	ax

unamed1:				; CODE XREF: seg000:00001890j
					; seg000:00001914j
		test	ax, 80h
		jz	 loc_1950
		push	ax
		mov	eax, 0Dh
		mov	ebx, 1F4000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		pop	ax

loc_1950:				; CODE XREF: seg000:00001934j
		test	ax, 100h
		jz	 loc_196C
		mov	eax, 0Dh
		mov	ebx, 235000Ah
		mov	ecx, 35000Bh
		mov	edx, 0FF00h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)

loc_196C:				; CODE XREF: seg000:00001954j
		pop	ax
		jmp	still
; 

button:					; CODE XREF: seg000:00001854j
		mov	eax, 11h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		cmp	ah, 1
		jz	close_app
		cmp	ah, 6Ah	; 'j'
		jnz	 _keyboard_keys
		mov	ecx, 1
		sub	ecx, dword [keyboard_mode]
		call	set_keyboard_mode
		jmp	red
; 

_keyboard_keys:				; CODE XREF: seg000:00001986j
		cmp	ah, 2
		jb	still
		cmp	ah, 6Ah	; 'j'
		jnb	still
		mov	[butt], ah
		mov	eax, [zkey_window]
		mov	ebx, [receiver_window]
		cmp	eax, ebx
		jz	still
		mov	eax, 12h
		mov	ebx, 3
		mov	ecx, [receiver_window]
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		call	reload_ascii_keymap
		xor	edx, edx
		movzx	si, [butt]
		sub	si, 2
		mov	dl, [si+1C1Eh]
		cmp	dl, 0A0h ; ''
		jb	 _select_key_code
		cmp	dl, 0A6h ; ''
		jnz	 _read_ext_key
		mov	dl, 0E1h ; ''
		call	send_key
		mov	dl, 1Dh
		call	send_key
		mov	dl, [keyCodes_ext2]
		jmp	 _send_key_code
; 

_read_ext_key:				; CODE XREF: seg000:000019FAj
		sub	dl, 0A0h ; ''
		movzx	si, dl
		mov	dl, [si+1C86h]
		push	dx
		mov	dl, 0E0h ; ''
		call	send_key
		pop	dx
		jmp	 _send_key_code
; 

_select_key_code:			; CODE XREF: seg000:000019F5j
		cmp	[keyboard_mode], 0
		jnz	 _send_key_code
		mov	esi, ext0 ; "\x1D)*678:;<=>?@ABCDEFGHIJKLMNOPQRSWX"
		and	edx, 7Fh

uname2:					; CODE XREF: seg000:00001A47j
		cmp	dl, [esi]
		jz	 _send_key_code
		inc	esi
		cmp	esi,  receiver_window
		jle	 uname2
		mov	bl, [edx+1CC9h]
		mov	dl, bl

_send_key_code:				; CODE XREF: seg000:00001A10j
					; seg000:00001A29j ...
		call	send_key
		mov	eax, 5
		mov	ebx, 1
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	eax, 12h
		mov	ebx, 3
		mov	ecx, [zkey_window]
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		jmp	still
; 

close_app:				; CODE XREF: seg000:0000197Dj
		mov	eax, 0FFFFFFFFh
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)

;  S U B	R O U T	I N E 


set_keyboard_mode:		; CODE XREF: seg000:00000021p
					; seg000:00001993p
		mov	eax, 42h ; 'B'
		mov	ebx, 1
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	[keyboard_mode], cl
		ret


;  S U B	R O U T	I N E 


get_control_keys_state:	; CODE XREF: seg000:0000186Cp
					; seg000:_lightsp ...
		mov	eax, 42h ; 'B'
		mov	ebx, 3
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		ret


;  S U B	R O U T	I N E 


get_keyboard_map:		; CODE XREF: reload_ascii_keymap:_load_ascii_keymapp
		mov	eax, 1Ah
		mov	ebx, 2
		mov	edx, 1CC9h
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		ret


;  S U B	R O U T	I N E 


reload_ascii_keymap:		; CODE XREF: seg000:00000026p
					; seg000:0000187Ap ...
		call	get_control_keys_state
		mov	ecx, 1
		test	ax, 1
		jnz	 uname3
		test	ax, 2
		jnz	 uname3
		test	ax, 40h
		jz	 _load_ascii_keymap

uname3:					; CODE XREF: reload_ascii_keymap+Ej
					; reload_ascii_keymap+14j
		mov	ecx, 2

_load_ascii_keymap:			; CODE XREF: reload_ascii_keymap+1Aj
		call	get_keyboard_map
		ret


;  S U B	R O U T	I N E 


get_receiver_window_slot_number: ; CODE XREF: seg000:stillp
		mov	eax, 12h
		mov	ebx, 7
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		mov	ebx, [zkey_window]
		cmp	eax, ebx
		jz	 uname4
		mov	[receiver_window], eax

uname4:					; CODE XREF: get_receiver_window_slot_number+14j
		ret


;  S U B	R O U T	I N E 


send_key:		; CODE XREF: seg000:000019FEp
					; seg000:00001A05p ...
		mov	eax, 48h ; 'H'
		mov	ebx, 1
		mov	ecx, 2
		int	40h		; Hard disk - Relocated	Floppy Handler (original INT 13h)
		ret

; 
labelt		db 'ZKEY v.0.4 - keyboard for KolibriOS'
SwitchText	db ' ASCII SCAN '
keyText		db 'EscF1F2F3F4F5F6F7F8F9F10F11F12~1!2@3#4$5%6^7&8*9(0)-_=+\|bk'
		db 'spTabQWERTYUIOP{[}]EnterlockASDFGHJKL;:'
		db '',27h,'"ShiftZXCVBNM,<.>/?ShiftCtrlWinAlt AltWin['
		db '=]CtrlpscslkbrkInsHmPupDelEndPdn^<v >nlk/*-7894561230.+Ent'
keyCodes	db 1,';<=>?@ABCDWX)',2,3,4,5,6,7,8,9,0Ah
		db 0Bh,0Ch,0Dh,'+',0Eh,0Fh,10h,11h,12h,13h,14h,15h,16h,17h,18h,19h
		db 1Ah,1Bh,1Ch,':',1Eh,1Fh,' !"#$%&',27h,'(*,-./0123456',1Dh,'8'
		db '9FE7JGHIKLMOPQRSN'
keyCodes_ext	db '[8\]',1Dh,'7',0,'RGISOQHKPM5',1Ch
keyCodes_ext2	db 45h			; DATA XREF: seg000:00001A0Ar
					; ; Just Break :)
ext0		db 1Dh,')*678:;<=>?@ABCDEFGHIJKLMNOPQRSWX' ; DATA XREF: seg000:00001A34t
receiver_window	dd 0			; DATA XREF: seg000:000019BAr
					; seg000:000019D2r ...
zkey_window	dd 0			; DATA XREF: seg000:00001836w
					; seg000:000019B5r ...
butt		db 0			; DATA XREF: seg000:000019AFw
					; seg000:000019E1r
locks		dw 0			; DATA XREF: draw_window+1786r
					; seg000:00001871r ...
keyboard_mode	db 0			; DATA XREF: draw_window+169Fr
					; seg000:0000198Dr ...
lang		db 0

